Add identifiers SERVER-SIDE
Step 1: Request a token
To perform an update on your company you will need a token to perform actions with. You create tokens with the Create Token call. Tokens can be set to be valid for a period of time or set to never expire. You need to decide if you want to store the token of each company in your system, or request a new one for each communication session. We recommend that tokens are created with a short TTL of 10 minutes.
Request Example
POST /v1/api/clientTokens/create HTTP/1.1
APIKey: --YOUR API KEY HERE--
Content-Type: application/json; charset=utf-8
Host: testapi.inexchange.se
Content-Length: 183
Expect: 100-continue
{
"erpId": "635604692357550266",
"validTo": "2026-05-26T12:54:10"
}
Response Example
HTTP/1.1 200 OK
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 63
Content-Type: application/json; charset=utf-8
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT
{
"token": "--CLIENT TOKEN HERE--"
}
Step 2: Add identfier
To add an identifier that is to be used for improving accuracy of routing documents an Identifiers call should be made. The available types depends on a pre agreed set of types and customizations made. This means that its not possible to use this feature out of the box without first needing to contact InExchange.
Request Example
POST /v1/api/companies/identifiers HTTP/1.1
Host: testapi.inexchange.se
Content-Type: application/json
ClientToken: --CLIENT TOKEN HERE--
Accept: */*
Content-Length: 50
{
"Type":"MyCompanySpecificID",
"Value":"12345"
}
Response Example
HTTP/1.1 201 Created
Cache-Control: no-cache
Pragma: no-cache
Content-Length: 0
Expires: -1
Server: Microsoft-IIS/8.5
X-AspNet-Version: 4.0.30319
Date: Tue, 26 May 2026 12:54:10 GMT